Arch: Parte di edificio

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch BuildingPart and the translation is 23% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Pagina precedente: Arch Floor.svg Piano
Pagina successiva: Edificio Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Parte di edificio

Posizione nel menu
Arch → Parte di edificio
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.18
Vedere anche
Edificio, Sito

Descrizione

Parti di edificio sostituisce i vecchi Piano e Edificio di Arch con una versione più capace che può essere utilizzata non solo per creare Piani o Livelli, ma anche tutti i tipi di situazioni in cui è necessario raggruppare oggetti Arch o BIM diversi e quel gruppo può aver bisogno di essere gestito come un oggetto o replicato.

Utilizzo

  1. Facoltativamente, selezionare uno o più oggetti da includere nella nuova Parte dell'edificio.
  2. Premere il pulsante Arch BuildingPart.svg Parte di edificio.

Note

Parte di edificio incorpora implicitamente un Piano di sezione. Disponibile dalla versione 0.19

Questo piano di sezione è sempre parallelo al piano di base di Parte di edificio, ma è possibile specificare l'offset tra di loro. Quindi tutti gli strumenti che funzionano con un piano di sezione, come Vista profilo 2D di Draft e Vista di Arch di TechDraw funzionano anche con Parte di edificio.

Opzioni

  • Dopo aver creato una Parte di edificio, è possibile aggiungere più oggetti trascinandoli nella Vista ad albero o usando lo strumento Arch Add.svg Aggiungi componente.
  • Per rimuovere oggetti da una Parte di edificio trascinarli nella vista ad albero o usare lo strumento Arch Remove.svg Rimuovi componente.
  • Facendo doppio clic sull'oggetto Parte di edificio nella vista ad albero, il Piano di lavoro viene impostato sulla sua posizione e la Parte di edificio diventa attiva, il che significa che i nuovi oggetti vengono aggiunti automaticamente ad esso. Facendo nuovamente doppio clic su Parte di edificio, essa si disattiva e si imposta il piano di lavoro nella posizione precedente.
  • Parte di edificio può visualizzare un segno nella vista 3D con una etichetta e l'indicazione del livello.
  • Quando un oggetto Parte di edificio viene spostato o ruotato, tutti i suoi figli che non hanno alcuna proprietà DatiMove With Host o che hanno questa proprietà attivata, si spostano o ruotano insieme.
  • Parte di edificio può essere clonato
  • Parte di edificio può assumere qualsiasi tipo di IFC. La sua proprietà IFC Type ne determina l'utilizzo. Se la si imposta su Building Storey si comporta come livello. Se la si imposta su Building si comporta come un edificio e se la si imposta su Element Assembly si comporta come un assemblaggio. La sua icona cambia per riflettere questa impostazione, ma a parte questo non ha nessun altro impatto in FreeCAD. Tuttavia, l'esportazione in IFC in un tipo o un altro tipo può avere un impatto in altre applicazioni BIM.

Proprietà

See also: Property editor.

An Arch BuildingPart is derived from an App GeoFeature object and inherits all its properties. It also has the following additional properties:

Data

Base

  • DatiGroup (LinkList): List of referenced objects.
  • Dati (Hidden)_ Group Touched (Bool)

Building Part

  • DatiArea (Area): The computed floor area of this floor.
  • DatiHeight (Length): The height of this object, and of its children objects. The children objects could be, for example, Arch Walls. Each wall's height must be set to 0 (zero), so the height property of the BuildingPart propagates to the objects inside of it.
  • DatiLevel Offset (Length): The level of the (0,0,0) point of this level. This value is added to the Placement.Base.z attribute of the BuildingPart, to indicate a vertical offset without actually moving the object. The resulting offset is displayed if VistaShow Level is true.
  • Dati (Hidden)Materials Table (Map): A MaterialName:SolidIndexesList map that relates material names with solid indexes to be used when referencing this object from other files.
  • DatiOnly Solids (Bool): If true, only solids will be collected by this object when referenced from other files.
  • Dati (Hidden)Saved Inventor (FileIncluded): This property stores an inventor representation for this object.
  • Dati (Hidden)Shape (PartShape): The shape of this object.

Children

  • DatiHeight Propagate (Bool): If true, the height value propagates to contained objects.

IFC

  • Dati (Hidden)Ifc Data (Map): IFC data.
  • Dati (Hidden)Ifc Properties (Map): IFC properties of this object.
  • DatiIfc Type (Enumeration): The IFC type of this object.

IFC Attributes

  • DatiDescription (String): An optional description for this component
  • DatiGlobal Id (String)
  • DatiObject Type (String)
  • DatiOverall Height (Length)
  • DatiOverall Width (Length)
  • DatiPartitioning Type (Enumeration)
  • DatiPredefined Type (Enumeration)
  • DatiTag (String): An optional tag for this component.
  • DatiUser Defined Partitioning Type (String)

View

Auto Group

Building Part

  • Vista (Hidden)Diffuse Color (ColorList): The individual face colors.
  • VistaDisplay Offset (Placement): A transformation to apply to the level mark.
  • VistaFont Name (Font): The font to be used for texts.
  • VistaFont Size (Length): The font size of texts.
  • VistaLine Width (Float): The line width of this object.
  • VistaOrigin Offset (Bool): If true, when activated, Display offset will affect the origin mark too.
  • VistaOverride Unit (String): An optional unit to express levels.
  • VistaShow Label (Bool): If true, when activated, the object's label is displayed.
  • VistaShow Level (Bool): If true, show the level.
  • VistaShow Unit (Bool): If true, show the unit on the level tag.

Children

  • VistaChildren Line Color (Color): The line color to apply to the children of this Building Part.
  • VistaChildren Line Width (Float): The line width to apply to the children of this Building Part.
  • VistaChildren Override (Bool): If true, the objects contained in this Building Part will adopt these line, color and transparency settings.
  • VistaChildren Shape Color (Color): The shape color to apply to the children of this Building Part.
  • VistaChildren Transparency (Percent): The transparency to apply to the children of this Building Part.

Clip

  • VistaAuto Cut View (Bool): Turn cutting on when activating this level.
  • VistaCut Margin (Length): The distance between the level plane and the cut line.
  • VistaCut View (Bool): Cut the view above this level.

Interactions

  • VistaAuto Working Plane (Bool): If set to True, the working plane will be kept on Auto mode.
  • VistaDouble Click Activates (Bool): If True, double-clicking this object in the tree activates it.
  • VistaRestore View (Bool): If set, the view stored in this object will be restored on double-click.
  • VistaSave Inventor (Bool): If this is enabled, the inventor representation of this object will be saved in the FreeCAD file, allowing to reference it in other files in lightweight mode.
  • Vista (Hidden)Saved Inventor (FileIncluded): A slot to save the inventor representation of this object, if enabled.
  • VistaSet Working Plane (Bool): If true, when activated, the working plane will automatically adapt to this Building Part.
  • Vista (Hidden)View Data (FloatList): Camera position data associated with this object.

Scripting

Lo strumento Parte di edificio può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

BuildingPart = makeBuildingPart(objectslist=None)
  • Crea un oggetto BuildingPart da una objectslist, che è una lista di oggetti.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()


Arrow-left.svg Pagina precedente: Arch Floor.svg Piano
Pagina successiva: Edificio Arch Building.svg Arrow-right.svg